Package groovy.util

# Class ObservableSet.ObservableIterator<E>

java.lang.Object
groovy.util.ObservableSet.ObservableIterator<E>

All Implemented Interfaces:
  `Iterator<E>`

Enclosing class:
  `ObservableSet<E>`

protected class ObservableSet.ObservableIterator<E> extends Object implements Iterator<E>

## Constructor Summary

Constructors
Constructor
Description
`ObservableIterator(Iterator<E> iterDelegate)`

## Method Summary

Modifier and Type
Method
Description
`Iterator<E>`
`getDelegate()`
`boolean`
`hasNext()`
`E`
`next()`
`void`
`remove()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

## Constructor Details

### ObservableIterator

public ObservableIterator(Iterator<E> iterDelegate)

## Method Details

### getDelegate

public Iterator<E> getDelegate()

### hasNext

public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<E>`

### next

public E next()

Specified by:
  `next` in interface `Iterator<E>`

### remove

public void remove()

Specified by:
  `remove` in interface `Iterator<E>`